package org.openxma.dsl.generator;

import org.openxma.dsl.common.DslProperties;
import org.openxma.dsl.core.model.ModelModifier;
import org.openxma.dsl.dom.model.NamingStrategy;

/**
 * Provider interface for determining the current properties and strategies used
 * during a generator run. <br>
 * GeneratorContext instance is associated with a thread via the
 * {@link GeneratorProperties} class.
 */
public interface GeneratorContext extends DslProperties {

	/**
	 * @return the current <code>NamingStrategy</code>
	 */
	NamingStrategy getNamingStrategy();

	/**
	 * @return the current <code>ModelModifier</code>
	 */
	ModelModifier getModelModifier();

	/**
	 * @return the current <code>LayoutStrategy</code>
	 */
	LayoutStrategy getLayoutStrategy();
}
